MCDP(1)

NAME
mcdp - a small cdplayer for linux

SYNOPSIS
mcdp [/dev/some-cdrom-device]

DESCRIPTION
The command mcdp is used for playing AudioCD's. It has a curses like userinterface and is fairly simple to use.

OPTIONS
There is only one optional option - a cd device (e.g. /dev/cdrom2) !

KEYS
KEY | DESCRIPTION
# | play track number # (0,1..9)
cursor up | fast forward
cursor right | slow forward
cursor left | slow rewind
cursor down | fast rewind
space | next track
b/B | previous track
S/s | toggle start/stop
P/p | toggle pause/resume
E/e | eject cdrom device
C/c | close cdrom device
R/r | redraw screen
M/m | change playmethod (-/+)
+/- | change trackmodifier (+/-)
</> | change audio volume of cdrom device (-/+)
Q/q | quit mcdp

ENVIRONMENT VARIABLES
CDDA_DEVICE | Reserved or later :)
CDROM | Try this cdrom as default (if unset, CDROM_DEFAULT
 | from params.h is used).
CDDB_PATH | path to your local cddb files (if unset, _no_ cddb titelinfo
 | is displayed)
CDDB_SERVER | IP:PORT of a freedb server (if unset, only local cddb
 | stuff is used, if it exists in $CDDB_PATH/$discid).
LOGNAME | Is used for remote cddb login.
HOSTNAME | Is used for remote cddb login too.

FILES
$HOME/.workmandb | Is used (first) for reading wmdb entries.
$CDDB_PATH/* | Is used for reeading/writing cddb entries.

RETURN VALUES
0 | no errors occured / normal quit
1 | the given cd-device isn't a cd-device
2 | your cd seems to be sth. other then a CD-Audio or CD-Mixed
3 | some error while processing terminal code

NOTES
Some terminals don't like the default escape-sequences from params.h ... if so, you have to edit them ! Successfully tested terminals are vt100, linux, xterm, xterm-color.

If you haven't direct access to a freedb server, you may use some port redirector program ... see freshmeat.

If you have devfs, mcdp will try /dev/cdroms/cdrom0, else /dev/cdrom is tried!

AUTHOR
Tino Reichardt <milky-mcdp@mcmilk.de>

Homepage: http://www.mcmilk.de/projects/mcdp/